cURL
curl --request PATCH \ --url https://eu1.api.matillion.com/dpc/v1/directory-integration/scim/v2/Users/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "Operations": [ {} ], "schemas": [ "urn:ietf:params:scim:api:messages:2.0:PatchOp" ] } '
{ "meta": { "created": "2023-11-07T05:31:56Z", "lastModified": "2023-11-07T05:31:56Z", "location": "<string>", "resourceType": "<string>", "version": "<string>" }, "active": true, "addresses": [ { "country": "<string>", "display": "<string>", "formatted": "<string>", "locality": "<string>", "postalCode": "<string>", "primary": true, "region": "<string>", "streetAddress": "<string>", "type": "<string>" } ], "displayName": "<string>", "emails": [ { "display": "<string>", "primary": true, "type": "<string>", "value": "<string>" } ], "entitlements": [ { "display": "<string>", "primary": true, "type": "<string>", "value": "<string>" } ], "externalId": "<string>", "groups": [ { "display": "<string>", "ref": "<string>", "type": "DIRECT", "value": "<string>" } ], "id": "<string>", "ims": [ { "display": "<string>", "primary": true, "type": "<string>", "value": "<string>" } ], "locale": "<string>", "name": { "familyName": "<string>", "formatted": "<string>", "givenName": "<string>", "honorificPrefix": "<string>", "honorificSuffix": "<string>", "middleName": "<string>" }, "nickName": "<string>", "password": "<string>", "phoneNumbers": [ { "display": "<string>", "primary": true, "type": "<string>", "value": "<string>" } ], "photos": [ { "display": "<string>", "primary": true, "type": "<string>", "value": "<string>" } ], "preferredLanguage": "<string>", "profileUrl": "<string>", "roles": [ { "display": "<string>", "primary": true, "type": "<string>", "value": "<string>" } ], "schemas": [ "<string>" ], "timezone": "<string>", "title": "<string>", "userName": "<string>", "userType": "<string>", "x509Certificates": [ { "display": "<string>", "primary": true, "type": "<string>", "value": "<string>" } ] }
Partially update a SCIM User by ID
a valid bearer token
RFC 7644 SCIM PATCH request body
Array of patch operations to perform
Show child attributes
List of schemas used in this patch operation
[ "urn:ietf:params:scim:api:messages:2.0:PatchOp"]
User patched successfully
1 - 2147483647
Was this page helpful?